package domain


type AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest struct {
    /*
        查询的页码，从1开始 defalutValue:1    */
    Current  *int64 `json:"current,omitempty" `

    /*
        页大小 defalutValue:20    */
    PageSize  *int64 `json:"page_size,omitempty" `

    /*
        经营店ID     */
    StoreId  *string `json:"store_id,omitempty" `

    /*
        账单起始时间: yyyyMMdd defalutValue:默认系统时间前一天    */
    BillStartDate  *int64 `json:"bill_start_date,omitempty" `

    /*
        账单结束时间: yyyyMMdd defalutValue:默认系统时间前一天    */
    BillEndDate  *int64 `json:"bill_end_date,omitempty" `

}

func (s *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest) SetCurrent(v int64) *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest {
    s.Current = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest) SetPageSize(v int64) *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest {
    s.PageSize = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest) SetStoreId(v string) *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest {
    s.StoreId = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest) SetBillStartDate(v int64) *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest {
    s.BillStartDate = &v
    return s
}
func (s *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest) SetBillEndDate(v int64) *AlibabaTclsAelophyBillDetailQueryBillDetailQueryRequest {
    s.BillEndDate = &v
    return s
}
